Partial update purchase order

patch
https://api.wafeq.com/v1/purchase-orders/{id}/

Endpoint for partially updating an existing purchase order.

Path Params
stringrequired
Body Params

A purchase order placed with a supplier.

attachmentsarray of strings

List of attachments linked to this purchase order.

string | null

The branch associated with this purchase order, if applicable.

string

The contact (vendor) associated with this purchase order.

stringenum

The currency in which the purchase order is issued.

View the enum reference

custom_fieldsobject

A mapping of custom field IDs to their values.

double | null

The exchange rate to the organization base currency at the time of the document.

stringlength ≤ 255

External identifier for the purchase order.

stringenum

The language of the document.

View the enum reference

Allowed:
line_itemsarray of objects

The individual line items that make up the purchase order.

string

Any additional notes or comments related to the purchase order.

string | null

The project associated with this purchase order, if any.

date | null

The date when the purchase order was issued.

string

The unique identifier or number assigned to this purchase order.

string

Any additional reference information for this purchase order.

stringenumDefaults to DRAFT

The current status of the purchase order (Draft, Sent, Billed, or Voided).

View the enum reference

Allowed:
stringenum

Specifies whether the tax amount is inclusive or exclusive of the line item amounts.

View the enum reference

Allowed:
string

The terms and conditions of the purchase order.

Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response